| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoGLShapeHintsElement Class Reference
Element Classes

The SoGLShapeHintsElement class is yet to be documented.FIXME: write doc. More...

`#include <Inventor/elements/SoGLShapeHintsElement.h>`

Inherits SoShapeHintsElement.

## Public Member Functions

virtual void | init (SoState *state)
| FIXME: write doc.
virtual void | push (SoState *state)
| FIXME: write doc.
virtual void | pop (SoState *state, const SoElement *prevTopElement)
| FIXME: write doc.
Public Member Functions inherited from SoShapeHintsElement
virtual void | init (SoState *state)
| FIXME: write doc.
virtual void | push (SoState *state)
| FIXME: write doc.
virtual void | pop (SoState *state, const SoElement *prevtopelement)
virtual SbBool | matches (const SoElement *element) const
| FIXME: write doc.
virtual SoElement * | copyMatchInfo (void) const
| FIXME: write doc.
virtual void | print (FILE *file) const
| FIXME: write doc.
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual SbBool | matches (const SoElement *element) const =0
virtual SoElement * | copyMatchInfo (void) const =0
void | setDepth (const int depth)
int | getDepth (void) const
virtual void | print (FILE *file=stdout) const
virtual | ~SoElement ()

## Static Public Member Functions

static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | forceSend (SoState *const state, const SbBool twoside)
static void | forceSend (SoState *const state, const SbBool ccw, const SbBool cull)
static void | forceSend (SoState *const state, const SbBool ccw, const SbBool cull, const SbBool twoside)
| FIXME: write doc.
Static Public Member Functions inherited from SoShapeHintsElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *const state, SoNode *const node, const VertexOrdering vertexOrdering, const ShapeType shapeType, const FaceType faceType)
| FIXME: write doc.
static void | set (SoState *const state, const VertexOrdering vertexOrdering, const ShapeType shapeType, const FaceType faceType)
| FIXME: write doc.
static void | get (SoState *const state, VertexOrdering &vertexOrdering, ShapeType &shapeType, FaceType &faceType)
| FIXME: write doc.
static VertexOrdering | getVertexOrdering (SoState *const state)
| FIXME: write doc.
static ShapeType | getShapeType (SoState *const state)
| FIXME: write doc.
static FaceType | getFaceType (SoState *const state)
| FIXME: write doc.
static VertexOrdering | getDefaultVertexOrdering ()
| FIXME: write doc.
static ShapeType | getDefaultShapeType ()
| FIXME: write doc.
static FaceType | getDefaultFaceType ()
| FIXME: write doc.
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions

virtual | ~SoGLShapeHintsElement ()
virtual void | setElt (VertexOrdering vertexOrdering, ShapeType shapeType, FaceType faceType)
| FIXME: write doc.
Protected Member Functions inherited from SoShapeHintsElement
virtual | ~SoShapeHintsElement ()
void | updateLazyElement (SoState *state)
virtual void | setElt (VertexOrdering vertexOrdering, ShapeType shapeType, FaceType faceType)
| FIXME: write doc.
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members

Public Types inherited from SoShapeHintsElement
enum | VertexOrdering { UNKNOWN_ORDERING, CLOCKWISE, COUNTERCLOCKWISE, ORDERING_AS_IS }
enum | ShapeType { UNKNOWN_SHAPE_TYPE, SOLID, SHAPE_TYPE_AS_IS }
enum | FaceType { UNKNOWN_FACE_TYPE, CONVEX, FACE_TYPE_AS_IS }
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoShapeHintsElement
VertexOrdering | vertexOrdering
ShapeType | shapeType
FaceType | faceType
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoGLShapeHintsElement class is yet to be documented.

FIXME: write doc.

## Constructor & Destructor Documentation

SoGLShapeHintsElement::~SoGLShapeHintsElement | ( | void | ) |  |

protectedvirtual

The destructor.

## Member Function Documentation

void * SoGLShapeHintsElement::createInstance | ( | void | ) |  |

static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoGLShapeHintsElement::initClass | ( | void | ) |  |

static

This static method initializes static data for the SoGLShapeHintsElement class.

void SoGLShapeHintsElement::forceSend | ( | SoState *const | state,
|  | const SbBool | twoside
| ) |  |

static

Update gl state. Use this is you only want to modify the twoside lighting feature.

void SoGLShapeHintsElement::forceSend | ( | SoState *const | state,
|  | const SbBool | ccw,
|  | const SbBool | cull
| ) |  |

static

Update GL state. Use this if you don't care about the two-side lighting state.

The documentation for this class was generated from the following files:

- SoGLShapeHintsElement.h
- SoGLShapeHintsElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.